\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Snap Rounding

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
SRTraits_2::ConstructSegment_2 Concept Reference
Concepts

## Definition

Refines:
  `AdaptableBinaryFunction`

Has Models:
  `Snap_rounding_traits_2::Construct_segment_2`

## Public Member Functions
Segment_2 | operator() (Point_2 p, Point_2 q)
| introduces a segment with source `p` and target `q`. More...

## Member Function Documentation

Segment_2 SRTraits_2::ConstructSegment_2::operator() | ( | Point_2 | p,
|  | Point_2 | q
| ) |  |

introduces a segment with source `p` and target `q`.

The segment is directed from the source towards the target.